{% extends 'base.html' %} {% block content %}
<div class="album py-5 bg-light" id='wrap'>
    <div class="container">
      <form class="form-signin" action="" method="POST" enctype="multipart/form-data">
          <h2 class="text-center text-muted">Add New Presentation</h2>
          <div class="container">
            {% for message in get_flashed_messages() %}
                
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                {{ message }}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
            {% endfor %}
            </div>
          <fieldset>
                <div class="row mt-3">
                    <div class="col-md-12"><label class="labels">Speaker</label>{{ addpostform.speaker(id="inputName", class="form-control")}}</div>
                </div>
        </fieldset></br>
          <fieldset disabled>
          <div class="row mt-3">
              <div class="col-md-12"><label class="labels">Posted by</label>{{ addpostform.posted_by(id="inputName", class="form-control", autofocus="",placeholder="")}}</div>
          </div>
          </fieldset>
          </br>
          <P>Title</P>
          {{ addpostform.title(placeholder="Title",id="inputTitle", class="form-control") }}
          </br>
          <P>Date of the Talk</P>
          {{ addpostform.date(placeholder="date of the talk",id="timedate", class="form-control") }}
          </br>
          <P>Description</P>
          {{ addpostform.description(placeholder="Description",id="inputDescription", class="form-control") }} </br>
          <P>Add embed URL</P>
          {{ addpostform.add_url(placeholder="Paste your embed URL",id="inputURL", class="form-control") }} </br>
          <P>Add image URL</P>
          {{ addpostform.image(placeholder="Paste your image URL",id="inputURL", class="form-control") }}
          <i><p><small>Please separate each link by A SPACE</small></p><i>
          </br>
          {{ addpostform.submit(class="btn btn-lg btn-primary btn-block")}}
          </div>
      </form>
    </div>
</div>
{% endblock %}